
<input type="hidden" name="is_bottom_field" value="">

<div class="row" id="cookie_banner_options_container">
    <div class="col-sm-8">

        <div class="consistent-box">
            <h4 class="mb-4">
                <i class="fa-regular fa-browser"></i>
                <?php _e( 'Cookie Banner', 'myagileprivacy' ); ?>
            </h4>

            <!-- show banner -->
            <div class="row mb-4">
                <label for="is_on_field_yes" class="col-sm-5 col-form-label">
                <?php _e( 'Enable Cookie Banner', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <?php if( $the_options['is_on'] == true ): ?>
                                <input type="radio" id="is_on_field_yes" name="is_on_field" value="true" checked="checked" />
                                <label for="is_on_field_yes" class="me-2 label-radio"></label>

                                <label for="is_on_field_yes"><?php _e( 'On', 'myagileprivacy' ); ?></label>

                            <?php else: ?>
                                <input type="radio" id="is_on_field_yes" name="is_on_field" value="true" />
                                <label for="is_on_field_yes" class="me-2 label-radio"></label>

                                <label for="is_on_field_yes"><?php _e( 'On', 'myagileprivacy' ); ?></label>
                            <?php endif; ?>

                        </div>

                        <div class="round d-flex">
                            <?php if( $the_options['is_on'] == false ): ?>
                                <input type="radio" id="is_on_field_no" name="is_on_field" value="false" checked="checked" />
                                <label for="is_on_field_no" class="me-2 label-radio"></label>

                                <label for="is_on_field_no"><?php _e( 'Off', 'myagileprivacy' ); ?></label>
                            <?php else: ?>
                                <input type="radio" id="is_on_field_no" name="is_on_field" value="false" />
                                <label for="is_on_field_no" class="me-2 label-radio"></label>

                                <label for="is_on_field_no"><?php _e( 'Off', 'myagileprivacy' ); ?></label>

                            <?php endif; ?>
                        </div>
                    </div> <!-- ./ styled_radio -->
                    <div class="form-text">
                        <?php
                            _e( "Choose if the cookie banner should be visible on the website",'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->

            </div> <!-- row -->

            <!-- NEW banner width -->
            <div class="row mb-4">
                <label for="cookie_banner_size_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Banner Size', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                    <select name="cookie_banner_size_field" class="form-control hideShowInput" id="cookie_banner_size_field" data-preview="mapSize" data-hide-show-ref="cookie_banner_size">
                        <option value="sizeWide" <?php selected( $the_options['cookie_banner_size'], 'sizeWide' ); ?>><?php _e( 'Wide', 'myagileprivacy' ); ?></option>
                        <option value="sizeBig" <?php selected( $the_options['cookie_banner_size'], 'sizeBig' ); ?>><?php _e( 'Big', 'myagileprivacy' ); ?></option>
                        <option value="sizeBoxed" <?php selected( $the_options['cookie_banner_size'], 'sizeBoxed' ); ?>><?php _e( 'Boxed', 'myagileprivacy' ); ?></option>
                    </select>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <div class="row mb-4">
                <label for="cookie_banner_vertical_position_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Vertical Banner Position', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                    <select name="cookie_banner_vertical_position_field" class="form-control" id="cookie_banner_vertical_position_field" data-preview="mapPosition">

                        <option value="Top" <?php selected( $the_options['cookie_banner_vertical_position'], 'Top' ); ?>><?php _e( 'Top', 'myagileprivacy' ); ?></option>
                        <option value="Center" <?php selected( $the_options['cookie_banner_vertical_position'], 'Center' ); ?>><?php _e( 'Center', 'myagileprivacy' ); ?></option>
                        <option value="Bottom" <?php selected( $the_options['cookie_banner_vertical_position'], 'Bottom' ); ?>><?php _e( 'Bottom', 'myagileprivacy' ); ?></option>
                    </select>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <div class="cookie_banner_size displayNone" data-value="sizeBig sizeBoxed">

                <div class="row mb-4">
                    <label for="cookie_banner_horizontal_position_field" class="col-sm-5 col-form-label">
                        <?php _e( 'Horizontal Banner Position', 'myagileprivacy' ); ?>
                    </label>
                    <div class="col-sm-7">
                        <select name="cookie_banner_horizontal_position_field" class="form-control" id="cookie_banner_horizontal_position_field" data-preview="mapPosition">

                            <option value="Center" <?php selected( $the_options['cookie_banner_horizontal_position'], 'Center' ); ?>><?php _e( 'Center', 'myagileprivacy' ); ?></option>
                            <option value="Left" <?php selected( $the_options['cookie_banner_horizontal_position'], 'Left' ); ?>><?php _e( 'Left', 'myagileprivacy' ); ?></option>
                            <option value="Right" <?php selected( $the_options['cookie_banner_horizontal_position'], 'Right' ); ?>><?php _e( 'Right', 'myagileprivacy' ); ?></option>
                        </select>
                    </div> <!-- col-sm-7 -->
                </div> <!-- row -->

            </div>

            <!-- NEW banner position -->

            <div class="row mb-4">
                <label for="floating_banner_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Floating Banner', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <select name="floating_banner_field" class="form-control" id="floating_banner_field" data-preview="floating_banner">
                        <option value="0" <?php selected( $the_options['floating_banner'], 0 ); ?>>No</option>
                        <option value="1" <?php selected( $the_options['floating_banner'], 1 ); ?>><?php _e( 'Yes', 'myagileprivacy' ); ?></option>
                    </select>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->


            <!-- NEW banner shadow -->
            <div class="row mb-4">
                <label for="cookie_banner_shadow_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Cookie Banner Shadow', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                    <select name="cookie_banner_shadow_field" class="form-control" id="cookie_banner_shadow_field" data-preview="shadow">
                        <option value="false" <?php selected( $the_options['cookie_banner_shadow'], 'false' ); ?>><?php _e( 'None', 'myagileprivacy' ); ?></option>

                        <option value="map-shadow-soft" <?php selected( $the_options['cookie_banner_shadow'], 'map-shadow-soft' ); ?>><?php _e( 'Soft', 'myagileprivacy' ); ?></option>

                        <option value="map-shadow-hard" <?php selected( $the_options['cookie_banner_shadow'], 'map-shadow-hard' ); ?>><?php _e( 'Strong', 'myagileprivacy' ); ?></option>
                    </select>

                    <div class="form-text">
                        <?php _e( 'Select the shadow effect for the cookie banner', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <!-- NEW banner radius -->
            <div class="row mb-4">
                <label for="elements_border_radius_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Elements Border Radius', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                <div class="input-group">
                <input type="number" min="0" max="50" data-preview="border_radius" class="form-control" id="elements_border_radius_field" name="elements_border_radius_field" value="<?php echo esc_attr(stripslashes($the_options['elements_border_radius']))  ?>" />
                    <span class="input-group-text">pixel</span>
                </div>

                    <div class="form-text">
                        <?php _e( 'Insert the border radius value for cookie banner and buttons, in pixel', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <!-- NEW banner width -->
            <div class="row mb-4">
                <label for="cookie_banner_animation_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Banner Animation Effect', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                <select name="cookie_banner_animation_field" class="form-control" id="cookie_banner_animation_field">
                    <option value="none" <?php selected( $the_options['cookie_banner_animation'], 'none' ); ?>><?php _e( 'None', 'myagileprivacy' ); ?></option>
                    <option value="slide" <?php selected( $the_options['cookie_banner_animation'], 'slide' ); ?>><?php _e( 'Slide', 'myagileprivacy' ); ?></option>
                    <option value="fade" <?php selected( $the_options['cookie_banner_animation'], 'fade' ); ?>><?php _e( 'Fade', 'myagileprivacy' ); ?></option>
                </select>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <!-- NEW banner title -->
            <div class="row mb-4">
                <label for="title_is_on_field_yes" class="col-sm-5 col-form-label">
                <?php _e( 'Enable banner heading', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <?php if( $the_options['title_is_on'] == true ): ?>
                                <input type="radio" id="title_is_on_field_yes" class="hideShowInput" name="title_is_on_field" value="true" checked="checked" data-hide-show-ref="show_banner_title" data-meaning="1" data-preview="bannerTitle" />
                                <label for="title_is_on_field_yes" class="me-2 label-radio"></label>

                                <label for="title_is_on_field_yes">
                                    <?php _e( 'On', 'myagileprivacy' ); ?>
                                </label>


                            <?php else: ?>
                                <input type="radio" id="title_is_on_field_yes" class="hideShowInput" name="title_is_on_field" value="true" data-hide-show-ref="show_banner_title" data-meaning="1" data-preview="bannerTitle" />
                                <label for="title_is_on_field_yes" class="me-2 label-radio"></label>

                                <label for="title_is_on_field_yes">
                                    <?php _e( 'On', 'myagileprivacy' ); ?>
                                </label>

                            <?php endif; ?>

                        </div>

                        <div class="round d-flex">
                            <?php if( $the_options['title_is_on'] == false ): ?>
                                <input type="radio" id="title_is_on_field_no" class="hideShowInput" name="title_is_on_field" value="false" checked="checked" data-hide-show-ref="show_banner_title" data-meaning="0" data-preview="bannerTitle" />
                                <label for="title_is_on_field_no" class="me-2 label-radio"></label>

                                <label for="title_is_on_field_no">
                                    <?php _e( 'Off', 'myagileprivacy' ); ?>
                                </label>
                            <?php else: ?>
                                <input type="radio" id="title_is_on_field_no" class="hideShowInput" name="title_is_on_field" value="false" data-hide-show-ref="show_banner_title" data-meaning="0"  data-preview="bannerTitle" />
                                <label for="title_is_on_field_no" class="me-2 label-radio"></label>

                                <label for="title_is_on_field_no">
                                    <?php _e( 'Off', 'myagileprivacy' ); ?>
                                </label>
                            <?php endif; ?>
                        </div>
                    </div> <!-- ./ styled_radio -->
                    <div class="form-text">
                        <?php
                            _e( "Choose if the banner title should be visible", 'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->

            </div> <!-- row -->
            <!-- banner title -->
            <div class="row mb-4 show_banner_title">
                <label for="bar_heading_text_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Message Heading', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <input type="text" data-preview="title_text" class="form-control" id="bar_heading_text_field" name="bar_heading_text_field" value="<?php echo esc_attr(stripslashes($the_options['bar_heading_text']))  ?>" />

                    <div class="form-text">
                        <?php _e( 'Leave it blank, If you do not need a heading', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- banner content -->
            <div class="row mb-4">
                <label for="notify_message_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Message', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <?php
                        echo '<textarea id="notify_message_field" name="notify_message_field" class="form-control text_style" rows="9" style="font-size:12px;">';
                        echo apply_filters( 'format_to_edit', esc_attr(stripslashes($the_options['notify_message']))) . '</textarea>';
                    ?>


                    <div class="form-text">
                        <?php _e( 'Example code:', 'myagileprivacy' ); ?>
                        <br>
                        <textarea class="text_style form-control" rows="9" style="font-size:12px" disabled><?php _e( '<div class="map-area-container"><div class="map_notification-message" data-nosnippet>This website uses technical and profiling cookies. Clicking on "Accept" authorises all profiling cookies. Clicking on "Refuse" or the X will refuse all profiling cookies. By clicking on "Customise" you can select which profiling cookies to activate.[myagileprivacy_extra_info]</div><div class="map_notification_container">[myagileprivacy_cookie_accept][myagileprivacy_cookie_reject][myagileprivacy_cookie_customize]</div></div>', 'myagileprivacy' ); ?></textarea>
                    </div>

                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- banner flat css-->
            <div class="row mb-4 d-none">
                <label for="with_css_effects_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Enable shadows and rounding effects', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <div class="round d-flex me-4">
                            <input type="hidden" name="with_css_effects_field" value="false" id="with_css_effects_field_no">

                            <input name="with_css_effects_field" type="checkbox" value="true" id="with_css_effects_field" <?php checked($the_options['with_css_effects'], true); ?>>
                            <label for="with_css_effects_field" class="me-2 label-checkbox"></label><?php _e( 'Enable shadows and rounding effects', 'myagileprivacy' ); ?>

                        </div>
                    </div> <!-- ./ styled_radio -->
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <!-- NEW font size banner -->
            <div class="row mb-4">
                <label for="text_size_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Cookie Banner Font Size', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                <div class="input-group">
                <input type="number" min="4" max="50" class="form-control" id="text_size_field" name="text_size_field" value="<?php echo esc_attr(stripslashes($the_options['text_size']))  ?>" />
                    <span class="input-group-text">pixel</span>
                </div>


                    <div class="form-text">
                        <?php _e( 'Insert the font size for the cookie banner heading, text buttons and for the blocked content notification bar text, in pixel <small>(suggested value: 18)</small>', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <!-- NEW line height banner -->
            <div class="row mb-4">
                <label for="text_lineheight_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Cookie Banner Line Height', 'myagileprivacy' ); ?>
                </label>
                <div class="col-sm-7">
                <div class="input-group">
                <input type="number" min="0" max="100" class="form-control" id="text_lineheight_field" name="text_lineheight_field" value="<?php echo esc_attr(stripslashes($the_options['text_lineheight']))  ?>" />
                    <span class="input-group-text">pixel</span>
                </div>


                    <div class="form-text">
                        <?php _e( 'Insert the line height for the cookie banner heading, text buttons and for the blocked content notification bar text, in pixel <small>(suggested value: 35)</small>', 'myagileprivacy' ); ?>
                    </div>
                </div> <!-- col-sm-7 -->
            </div> <!-- row -->

            <!-- banner color presets -->
            <div class="row mb-4">
                <label for="color_preset" class="col-sm-5 col-form-label">
                    <?php _e( 'Color Preset', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <select name="color_preset" class="form-control" id="color_preset">
                        <option value="none"><?php _e( 'Select a preset', 'myagileprivacy' ); ?></option>
                        <option value="light"><?php _e( 'Light', 'myagileprivacy' ); ?></option>
                        <option value="dark"><?php _e( 'Dark', 'myagileprivacy' ); ?></option>
                    </select>

                    <div class="form-text">
                        <?php
                            _e( "Select a color preset for the cookie banner, or customize by your own",'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->


            <!-- banner background color -->
            <div class="row mb-4">
                <label for="background_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Cookie Banner Color', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">

                    <?php
                        echo wp_kses( '<input type="color" id="background_field" name="background_field" value="' . esc_attr($the_options['background']) . '" data-default-color="#ffffff" data-preview="bg_color">', MyAgilePrivacy::allowed_html_tags() );
                    ?>

                    <div class="form-text">
                        <?php
                            _e( "Select the background color of the cookie banner",'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <div class="show_banner_title">
                <!-- heading background color -->
                <div class="row mb-4">
                    <label for="heading_background_color_field" class="col-sm-5 col-form-label">
                        <?php _e( 'Heading background Color', 'myagileprivacy' ); ?>
                    </label>
                    <div class="col-sm-7">
                        <?php
                            echo wp_kses( '<input type="color" id="heading_background_color_field" name="heading_background_color_field" value="' . esc_attr($the_options['heading_background_color']) . '" data-default-color="#F14307" data-preview="title_background_color">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                        <div class="form-text">
                            <?php
                                _e( "Select the text color of the cookie banner",'myagileprivacy' );
                            ?>
                        </div>
                    </div> <!-- /.col-sm-6 -->
                </div> <!-- row -->
                <!-- heading text color -->
                <div class="row mb-4">
                    <label for="heading_text_color_field" class="col-sm-5 col-form-label">
                        <?php _e( 'Heading text Color', 'myagileprivacy' ); ?>
                    </label>
                    <div class="col-sm-7">
                        <?php
                            echo wp_kses( '<input type="color" id="heading_text_color_field" name="heading_text_color_field" value="' . esc_attr($the_options['heading_text_color']) . '" data-default-color="#ffffff" data-preview="title_color">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                        <div class="form-text">
                            <?php
                                _e( "Select the text color of the cookie banner",'myagileprivacy' );
                            ?>
                        </div>
                    </div> <!-- /.col-sm-6 -->
                </div> <!-- row -->
            </div>

            <!-- banner text color -->
            <div class="row mb-4">
                <label for="text_field" class="col-sm-5 col-form-label">
                    <?php _e( 'Text Color', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <?php
                        echo wp_kses( '<input type="color" id="text_field" name="text_field" value="' . esc_attr($the_options['text']) . '" data-default-color="#000" data-preview="text_color">', MyAgilePrivacy::allowed_html_tags() );
                    ?>

                    <div class="form-text">
                        <?php
                            _e( "Select the text color of the cookie banner",'myagileprivacy' );
                        ?>
                    </div>
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->



        </div> <!-- consistent-box -->

        <div class="consistent-box">
            <h4 class="mb-4">
                <i class="fa-regular fa-browser"></i>
                <?php _e( 'Buttons Customization', 'myagileprivacy' ); ?>
            </h4>

            <div class="row mb-4">
                <label for="is_on_field_yes" class="col-sm-5 col-form-label">
                <?php _e( 'Show Buttons icon', 'myagileprivacy' ); ?>
                </label>

                <div class="col-sm-7">
                    <div class="styled_radio d-inline-flex">
                        <?php
                            //var_dump( $the_options['show_buttons_icons'] );
                        ?>
                        <div class="round d-flex me-4">
                            <?php if( $the_options['show_buttons_icons'] == true ): ?>
                                <input type="radio" id="show_buttons_icons_field_yes" name="show_buttons_icons_field" value="true" checked="checked" data-meaning="1" data-preview="button_icon" />
                                <label for="show_buttons_icons_field_yes" class="me-2 label-radio"></label>

                                <label for="show_buttons_icons_field_yes">
                                    <?php _e( 'Yes', 'myagileprivacy' ); ?>
                                </label>
                            <?php else: ?>
                                <input type="radio" id="show_buttons_icons_field_yes" name="show_buttons_icons_field" value="true" data-meaning="1" data-preview="button_icon" />
                                <label for="show_buttons_icons_field_yes" class="me-2 label-radio"></label>

                                <label for="show_buttons_icons_field_yes">
                                    <?php _e( 'Yes', 'myagileprivacy' ); ?>
                                </label>
                            <?php endif; ?>

                        </div>

                        <div class="round d-flex">
                            <?php if( $the_options['show_buttons_icons'] == false ): ?>
                                <input type="radio" id="show_buttons_icons_field_no" name="show_buttons_icons_field" value="false" checked="checked" data-meaning="0" data-preview="button_icon" />
                                <label for="show_buttons_icons_field_no" class="me-2 label-radio"></label>

                                <label for="show_buttons_icons_field_no">
                                    <?php _e( 'No', 'myagileprivacy' ); ?>
                                </label>

                            <?php else: ?>
                                <input type="radio" id="show_buttons_icons_field_no" name="show_buttons_icons_field" value="false" data-meaning="0" data-preview="button_icon" />
                                <label for="show_buttons_icons_field_no" class="me-2 label-radio"></label>

                                <label for="show_buttons_icons_field_no">
                                    <?php _e( 'No', 'myagileprivacy' ); ?>
                                </label>

                            <?php endif; ?>
                        </div>
                    </div> <!-- ./ styled_radio -->
                </div> <!-- /.col-sm-6 -->
            </div> <!-- row -->

            <div class="card fullwidth">
                <div class="row mb-3">
                    <div class="col-sm-12">
                        <h6 class="h5"><?php _e( 'Accept button', 'myagileprivacy' ); ?></h6>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-4 text-center">
                        <div><label for="button_accept_text_field"><strong><?php _e( 'Text', 'myagileprivacy' ); ?></strong></label></div>
                        <input type="text" class="form-control" id="button_accept_text_field" name="button_accept_text_field" data-preview="accept-text" value="<?php echo esc_attr(stripslashes($the_options['button_accept_text'])) ?>" />
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_accept_link_color_field"><strong><?php _e( 'Text colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_accept_link_color_field" name="button_accept_link_color_field" data-preview="accept-text-color" value="' . esc_attr($the_options['button_accept_link_color']) . '" data-default-color="#ffffff">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_accept_button_color_field"><strong><?php _e( 'Background colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_accept_button_color_field" name="button_accept_button_color_field" data-preview="accept" value="' . esc_attr($the_options['button_accept_button_color']) . '" data-default-color="#34C759">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>
                </div>

                <div class="row mt-4 mb-4">
                    <label for="is_on_field_yes" class="col-sm-5 col-form-label">
                        <?php _e( 'Animate accept button', 'myagileprivacy' ); ?>
                    </label>
                    <div class="col-sm-7">
                        <div class="styled_radio d-inline-flex">
                            <div class="round d-flex me-4">
                                <?php if( $the_options['animate_accept_button'] == true ): ?>
                                    <input class="hideShowInput" type="radio" id="animate_accept_button_yes" name="animate_accept_button_field" value="true" checked="checked" data-hide-show-ref="animate_accept_button" data-meaning="1"/>
                                    <label for="animate_accept_button_yes" class="me-2 label-radio"></label>

                                    <label for="animate_accept_button_yes">
                                        <?php _e( 'On', 'myagileprivacy' ); ?>
                                    </label>

                                <?php else: ?>
                                    <input class="hideShowInput" type="radio" id="animate_accept_button_field_yes" name="animate_accept_button_field" value="true" data-hide-show-ref="animate_accept_button" data-meaning="1"/>
                                    <label for="animate_accept_button_field_yes" class="me-2 label-radio"></label>


                                    <label for="animate_accept_button_field_yes">
                                        <?php _e( 'On', 'myagileprivacy' ); ?>
                                    </label>

                                <?php endif; ?>

                            </div>

                            <div class="round d-flex">
                                <?php if( $the_options['animate_accept_button'] == false ): ?>
                                    <input class="hideShowInput" type="radio" id="animate_accept_button_field_no" name="animate_accept_button_field" value="false" checked="checked" data-hide-show-ref="animate_accept_button" data-meaning="0"/>
                                    <label for="animate_accept_button_field_no" class="me-2 label-radio"></label>

                                    <label for="animate_accept_button_field_no">
                                        <?php _e( 'Off', 'myagileprivacy' ); ?>
                                    </label>

                                <?php else: ?>
                                    <input class="hideShowInput" type="radio" id="animate_accept_button_field_no" name="animate_accept_button_field" value="false" data-hide-show-ref="animate_accept_button" data-meaning="0"/>
                                    <label for="animate_accept_button_field_no" class="me-2 label-radio"></label>

                                    <label for="animate_accept_button_field_no">
                                        <?php _e( 'Off', 'myagileprivacy' ); ?>
                                    </label>

                                <?php endif; ?>
                            </div>
                        </div> <!-- ./ styled_radio -->
                        <div class="form-text">
                            <?php
                                _e( "Enable it to animate the accept button with the effect select below",'myagileprivacy' );
                            ?>
                        </div>
                    </div> <!-- /.col-sm-6 -->
                </div>

                <div class="animate_accept_button">

                    <div class="row mb-4">
                        <label for="accept_button_animation_effect_field" class="col-sm-5 col-form-label">
                            <?php _e( 'Animation effect', 'myagileprivacy' ); ?>
                        </label>
                        <div class="col-sm-7">
                            <select name="accept_button_animation_effect_field" class="form-control" id="accept_button_animation_effect_field" data-preview="accept-animation">
                                <option value="shakeX" <?php selected( $the_options['accept_button_animation_effect'], 'shakeX' ); ?>>Shake</option>
                                <option value="tada" <?php selected( $the_options['accept_button_animation_effect'], 'tada' ); ?>>Tada</option>
                                <option value="wobble" <?php selected( $the_options['accept_button_animation_effect'], 'wobble' ); ?>>Wobble</option>
                                <option value="heartBeat" <?php selected( $the_options['accept_button_animation_effect'], 'heartBeat' ); ?>>Heart Beat</option>
                            </select>


                            <div class="form-text">
                                <?php _e( 'Set the animation effect for the accept button', 'myagileprivacy' ); ?>
                            </div>
                        </div> <!-- col-sm-7 -->
                    </div> <!-- row -->

                    <div class="row mb-4">
                        <label for="accept_button_animation_delay_field" class="col-sm-5 col-form-label">
                            <?php _e( 'Animation delay', 'myagileprivacy' ); ?>
                        </label>
                        <div class="col-sm-7">
                            <div class="input-group">
                                <input type="number" min="1" class="form-control" id="accept_button_animation_delay_field" name="accept_button_animation_delay_field" value="<?php echo esc_attr(stripslashes($the_options['accept_button_animation_delay']))  ?>" />
                                <span class="input-group-text"><?php _e( 'seconds','myagileprivacy' ); ?></span>
                            </div>


                            <div class="form-text">
                                <?php _e( 'Set the number of seconds before the animation starts', 'myagileprivacy' ); ?>
                            </div>
                        </div> <!-- col-sm-7 -->
                    </div> <!-- row -->

                    <div class="row mb-4">
                        <label for="accept_button_animation_repeat_field" class="col-sm-5 col-form-label">
                            <?php _e( 'Animation repeating times', 'myagileprivacy' ); ?>
                        </label>
                        <div class="col-sm-7">
                            <div class="input-group">
                                <input type="number" min="1" class="form-control" id="accept_button_animation_repeat_field" name="accept_button_animation_repeat_field" value="<?php echo esc_attr(stripslashes($the_options['accept_button_animation_repeat']))  ?>" />
                                <span class="input-group-text"><?php _e( 'times','myagileprivacy' ); ?></span>
                            </div>


                            <div class="form-text">
                                <?php _e( 'Set the number of times the animation repeats (the counter resets every page load)', 'myagileprivacy' ); ?>
                            </div>
                        </div> <!-- col-sm-7 -->
                    </div> <!-- row -->
                </div>

            </div><!-- /.card -->

            <div class="card fullwidth">
                <div class="row mb-3">
                    <div class="col-sm-12">
                        <h6 class="h5"><?php _e( 'Refuse button', 'myagileprivacy' ); ?></h6>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-4 text-center">
                        <div><label for="button_reject_text_field"><strong><?php _e( 'Text', 'myagileprivacy' ); ?></strong></label></div>
                        <input type="text" class="form-control" id="button_reject_text_field" name="button_reject_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_reject_text'])) ?>" />
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_reject_link_color_field"><strong><?php _e( 'Text colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_reject_link_color_field" name="button_reject_link_color_field" data-default-color="#ffffff" value="' . esc_attr($the_options['button_reject_link_color']) . '">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_reject_button_color_field"><strong><?php _e( 'Background colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_reject_button_color_field" name="button_reject_button_color_field" data-preview="refuse" data-default-color="#636366" value="' . esc_attr($the_options['button_reject_button_color']) . '">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>
                </div>
            </div><!-- /.card -->

            <div class="card fullwidth">
                <div class="row mb-3">
                    <div class="col-sm-12">
                        <h6 class="h5"><?php _e( 'Customize button', 'myagileprivacy' ); ?></h6>
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm-4 text-center">
                        <div><label for="button_customize_text_field"><strong><?php _e( 'Text', 'myagileprivacy' ); ?></strong></label></div>
                        <input type="text" class="form-control" id="button_customize_text_field" name="button_customize_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_customize_text'])) ?>" />
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_customize_link_color_field"><strong><?php _e( 'Text colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_customize_link_color_field" name="button_customize_link_color_field" data-default-color="#ffffff" value="' . esc_attr($the_options['button_customize_link_color']) . '">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>

                    <div class="col-sm-4 text-center">
                        <div><label for="button_customize_button_color_field"><strong><?php _e( 'Background colour', 'myagileprivacy' ); ?></strong></label></div>
                        <?php
                            echo wp_kses( '<input type="color" id="button_customize_button_color_field" name="button_customize_button_color_field" data-default-color="#636366" data-preview="customize" value="' . esc_attr($the_options['button_customize_button_color']) . '">', MyAgilePrivacy::allowed_html_tags() );
                        ?>
                    </div>
                </div>
            </div><!-- /.card -->

        </div> <!-- consistent-box -->
    </div> <!-- /.col-sm-8 -->

<?php
    $preview_cookiebanner_classes = 'displayNone';
    $preview_cookiebanner_styles = '';

    $preview_title_styles = '';

    $preview_text_styles = '';
    $preview_accept_styles = '';
    $preview_refuse_styles = '';
    $preview_customize_styles = '';
    $accept_button_styles = '';

    $border_radius_style = '';
?>

    <div class="col-sm-4">
        <div id="live-preview">
            <div class="row align-items-center mb-4">
                <div class="col-7">
                    <h6 class="text-center"><?php _e( 'Your website preview','myagileprivacy' ); ?></h6>
                </div>
                <div class="col-5">
                    <div id="device-view-container" class="mb-2 text-center">
                        <div class="btn-group">
                            <button class="btn btn-outline-primary active" data-view="desktop"><i class="fa-regular fa-desktop"></i></button>
                            <button class="btn btn-outline-primary" data-view="mobile"><i class="fa-regular fa-mobile"></i></button>
                        </div>
                    </div> <!-- device-view-container -->
                </div>
            </div>
            <div class="browser">
                <div id="preview-cookiebanner" class="<?php echo $preview_cookiebanner_classes; ?>" style="<?php echo $preview_cookiebanner_styles.$border_radius_style; ?>">

                    <div id="preview-title" style="<?php echo $preview_title_styles; ?>">
                        <?php
                            echo ($the_options['bar_heading_text'] == '' ? '<div class="banner-title-logo" style="background:'.esc_attr(stripslashes($the_options['heading_text_color'])).';"></div> My Agile Privacy' : esc_attr(stripslashes($the_options['bar_heading_text'])));

                        ?>
                    </div>

                    <div id="preview-content">
                        <div id="preview-text-container">
                            <div class="text" style="<?php echo $preview_text_styles; ?>"></div>
                            <div class="text" style="<?php echo $preview_text_styles; ?>"></div>
                            <div class="text" style="<?php echo $preview_text_styles; ?>"></div>
                            <div class="text show_boxed_preview" style="<?php echo $preview_text_styles; ?>"></div>
                        </div>
                        <div id="preview-button-container">
                            <div class="preview-button" id="preview-accept" style="<?php echo $preview_accept_styles.$border_radius_style; ?>"></div>
                            <div class="preview-button" id="preview-refuse" style="<?php echo $preview_refuse_styles.$border_radius_style; ?>"></div>
                            <div class="preview-button" id="preview-customize" style="<?php echo $preview_customize_styles.$border_radius_style; ?>"></div>
                        </div>
                    </div>

                </div>
            </div> <!-- browser -->

            <div class="mt-5">
                <h6 class="text-center"><?php _e( 'Accept button detailed preview','myagileprivacy' ); ?></h6>
                <div id="accept-detail-preview">
                    <div class="preview-button" id="detail-preview-accept" style="<?php echo $preview_accept_styles.$border_radius_style.$accept_button_styles; ?>"><div class="preview-button-icon" style="background:<?php echo $the_options['button_accept_link_color']; ?>;"></div> <span class="preview-botton-text"></span></div>
                </div>
            </div>

        </div> <!-- live preview -->
    </div>
</div> <!-- /.row -->

<?php
//var_dump($the_options);
?>