<?php

    $locale = $the_options['default_locale'];

    if( $the_options['pa'] == 1 )
    {
        if( $locale == 'it_IT' )
        {
            echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__  ).'../img/banner_pro_ita.png" ></a>';
        }
        else
        {
            echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__  ).'../img/banner_pro_eng.png" ></a>';
        }
    }
    else
    {
        if( $locale == 'it_IT' )
        {
            echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__ ).'../img/banner_ita.png" ></a>';
        }
        else
        {
            echo '<a href="https://www.myagileprivacy.com/?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__  ).'../img/banner_eng.png" ></a>';
        }
    }

    if( $locale == 'it_IT' )
    {
        $contextual_help_url = null;

        switch( $tab ) {
            case null:
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-impostazioni/";
                break;
            case 'advanced':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-avanzate/";
                break;
            case 'backup':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-backup-ripristino/";
                break;
            case 'buttons':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-pulsanti/";
                break;
            case 'scanner':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-cookie-shield/";
                break;
            case 'identity':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-identita/";
                break;
            case 'policies':
                $contextual_help_url = "https://www.myagileprivacy.com/opzioni-del-plugin-policy/";
                break;
        }

        $installed_html = '';

        if( isset( $stats ) && $stats && $stats->active_installs )
        {
            $installed_html = '<br><b>'.$stats->active_installs.'+</b>';

            if( $locale == 'it_IT' )
            {
                $installed_html .= ' installazioni attive';
            }
            else
            {
                $installed_html .= ' active installations';
            }
        }

        if( $contextual_help_url )
        {
            if( $the_options['pa'] == 1 )
            {
                echo '<div style="margin-top:30px;text-align:center;"><a href="'.$contextual_help_url.'?utm_source=referral&utm_medium=plugin-pro&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__ ).'../img/help-banner-ita.png" ></a>'.$installed_html.'</div>';
            }
            else
            {

                echo '<div style="margin-top:30px;text-align:center;"><a href="'.$contextual_help_url.'?utm_source=referral&utm_medium=plugin-basic&utm_campaign=backend" target="blank"><img class="img-fluid" src="'.plugin_dir_url( __DIR__ ).'../img/help-banner-ita.png" ></a>'.$installed_html.'</div>';
            }

        }
    }

?>